Bug 1379270 (CVE-2016-7553)

Summary: CVE-2016-7553 irssi: Information disclosure in buf.pl
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: cbuissar, huzaifas, jskarvad, mmahut
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-27 11:05:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1379272, 1379273    
Bug Blocks: 1378349    

Description Andrej Nemec 2016-09-26 09:08:19 UTC
An information disclosure vulnerability was found in the buf.pl core script for irssi. Other users on the same machine may be able to retrieve the whole window contents after /UPGRADE when the buf.pl script is loaded. Furthermore, this dump of the windows contents is never removed afterwards.

External References:

https://irssi.org/2016/09/22/buf.pl-update/

Upstream fix:

https://github.com/irssi/scripts.irssi.org/commit/f1b1eb154baa684fad5d65bf4dff79c8ded8b65a

References:

http://seclists.org/oss-sec/2016/q3/605

Comment 1 Andrej Nemec 2016-09-26 09:10:12 UTC
Created irssi tracking bugs for this issue:

Affects: fedora-all [bug 1379272]
Affects: epel-5 [bug 1379273]

Comment 2 Jaroslav Škarvada 2016-09-26 12:16:39 UTC
Fixed.

Comment 3 Jaroslav Škarvada 2016-09-26 12:17:19 UTC
(In reply to Jaroslav Škarvada from comment #2)
> Fixed.

In Fedora 23 - 26 and EPEL-5.

Comment 4 Cedric Buissart 2016-09-27 11:01:08 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.